PublicApiReplyToInboxThread
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/inbox/threads/{threadId}/reply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectorId": "<string>",
"subject": "<string>",
"body": "<string>",
"cc": [],
"bcc": [],
"attachmentIds": [
"<string>"
],
"acknowledgedWarnings": [],
"lastSeenAt": "2023-11-07T05:31:56Z",
"undoWindowSeconds": 17
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectorId: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
cc: [],
bcc: [],
attachmentIds: ['<string>'],
acknowledgedWarnings: [],
lastSeenAt: '2023-11-07T05:31:56Z',
undoWindowSeconds: 17
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/inbox/threads/{threadId}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Inbox
PublicApiReplyToInboxThread
POST /api/v1/organizations//workspaces//inbox/threads//reply
POST
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
inbox
/
threads
/
{threadId}
/
reply
PublicApiReplyToInboxThread
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/inbox/threads/{threadId}/reply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectorId": "<string>",
"subject": "<string>",
"body": "<string>",
"cc": [],
"bcc": [],
"attachmentIds": [
"<string>"
],
"acknowledgedWarnings": [],
"lastSeenAt": "2023-11-07T05:31:56Z",
"undoWindowSeconds": 17
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectorId: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
cc: [],
bcc: [],
attachmentIds: ['<string>'],
acknowledgedWarnings: [],
lastSeenAt: '2023-11-07T05:31:56Z',
undoWindowSeconds: 17
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/inbox/threads/{threadId}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Body
application/json
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Response
Successful response
The response is of type object.